Subject: bug#39000: closed (Re: bug#39000: Light frame after desktop-read on MacOS)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Jan 2020 18:46:01 +0000

Your bug report

#39000: Light frame after desktop-read on MacOS

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39000: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39000: Light frame after desktop-read on MacOS
From: Alan Third <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 7 Jan 2020 18:45:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jan 07, 2020 at 06:08:13PM +0200, Eli Zaretskii wrote:
> > Date: Tue, 7 Jan 2020 15:03:20 +0000
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked]
> > 
> > I’m not sure if this is too big a change for emacs 27 at this stage,
> > as it’s not entirely fixing bugs, although I’d argue it’s completing a
> > feature that is incomplete in Emacs 26.
> 
> Please make these changes on master, it's too risky for the release
> branch at this stage.

Thanks! I’ve pushed to master.

Tak, you may have to overwrite any existing desktop files before it
starts working. I’m not sure why.
-- 
Alan Third

Subject: Light frame after desktop-read on MacOS
From: Tak Kunihiro <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 07 Jan 2020 12:18:16 +0900 (JST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs 26.3 offers dark frames on MacOS 10.14.6 with `Dark (Still)'
mode.  However after the following operations,

 $ emacs -Q
 M-x about-emacs
 GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G87))
 M-x desktop-save
 M-x desktop-read

a dark frame turns into light frame.  I think this is a bug.